import 'normalize.css';
import ReactDOM from 'react-dom/client';
import App from './components/App/App';
import TelegramWrapper from './components/TelegramWrapper/TelegramWrapper';
import { TelegramWebApp } from 'react-telegram-webapp';
import { Provider } from 'react-redux';
import store from './store';
import { ThemeProvider } from '@mui/material/styles';

import { mgcomTheme } from './theme/mgcom';

async function validateHash() {
  return true;
}

ReactDOM.createRoot(document.getElementById('root')!).render(
  <ThemeProvider theme={mgcomTheme}>
    <TelegramWebApp validateHash={validateHash}>
      <Provider store={store}>
        <TelegramWrapper>
          <App />
        </TelegramWrapper>
      </Provider>
    </TelegramWebApp>
  </ThemeProvider>
);
